* {
  /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
  font-family: "Red Hat Display", sans-serif;
}
html {
  height: 100%;
}
body {
  margin: 0px;
  background-color: rgb(244, 244, 244);
  height: 100%;
  display: flex;
  flex-direction: column;
}
.header img {
  display: block;
  width: 100%;
  height: auto;
}
.header {
  margin-bottom: 50px;
  object-fit: cover;
}
/* Menu/Nav Start */
ul {
  list-style-type: none;
}
li {
  display: inline;
  margin: 10px;
  padding: 10px;
}

a:link {
  color: white;
  text-decoration: none;
}
a:visited {
  color: white;
  text-decoration: none;
}

.menu {
  flex: 0 0;
  display: flex;
  width: 100%;
  background-color: rgb(10, 10, 10);
}
.logo {
  display: flex;
  max-width: 200px;
  max-height: auto;
  margin-left: 5px;
}
.nav {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  font-size: larger;
}

.nav2 {
  display: none;
}

.dropdown {
  position: relative;
  display: inline-block;
}
.dropdown-content {
  display: none;
  position: absolute;
  padding: 10px;
  padding-top: 25px;
  background-color: rgb(10, 10, 10);
  z-index: 1;
  text-align: center;
}
.dropdown-content a {
  margin: 10px;
  padding: 10px;
}

.dropdown:hover .dropdown-content {
  display: flex;
  flex-direction: column;
}

.icon {
  color: white;
  flex: 1;
  padding: 10px;
  max-width: 40px;
  max-height: 40px;
}

.icons {
  display: flex;
}

.nav-icons {
  display: flex;
  align-self: center;
  margin: 10px;
  padding: 10px;
}

/* Menu/Nav End */
/* Footer Start */
.footer {
  flex: 0 0;
  background-color: rgb(10, 10, 10);
  color: white;
  text-align: center;
  min-height: 30px;
}
.footer .copyright {
  padding-top: 5px;
}
/* Footer End */
/* Home Page Start */
.homeContainer {
  flex: 1 auto;
  display: block;
  background-color: rgb(244, 244, 244);
  width: 100%;
  color: black;
  background-image: url("img/UF10.png");
  background-repeat: no-repeat;
  background-size: 630px 825px;
  background-attachment: fixed;
  background-position: center;
}

.homeContainer h1 {
  text-align: center;
  padding: 10px;
}

.FPLogo {
  display: flex;
  justify-content: center;
}
.FPLogo img {
  max-width: 50%;
  height: auto;
}
.FPLinks {
  display: flex;
  justify-content: center;
  margin-top: 120px;
  flex-wrap: wrap;
}
.FPCards {
  display: flex;
  flex-direction: column;
  text-align: center;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.6);
  background-color: rgb(244, 244, 244);
  transition: 0.3s;
  border: 1px solid rgb(28, 28, 28);
  margin: 20px;
  max-width: 350px;
  cursor: pointer;
}
.FPCards:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.6);
}
.FPCards img {
  width:  350px;
  height: 300px;
  border-bottom: 1px solid black;
}
.FPCards h3 {
  padding-left: 10px;
  padding-right: 10px;
}
#small {
  width: 250px;
  height: 200px;
  border-bottom: 1px solid black;
}
/* Home Page End */
/* OW Quiz Start */
.Image2 {
  margin: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
  max-width: 400px;
}
.Image2 img {
  display: flex;
  max-width: 85%;
}
.RDPHead {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.OWBlurb {
  display: flex;
  font-weight: bold;
  max-width: 600px;
  min-width: none;
  text-align: center;
  font-size: large;
  margin-bottom: 20px;
  flex-direction: column;
}

/* OW Quiz End */
/* Underwater poker page start */
.imgBlocks img {
  width: 400px;
  height: auto;
  margin: 20px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.6);
}
.imgBlocks {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.groupA {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
.groupA p {
  font-size: larger;
  font-weight: bold;
}

.pokerinfo {
  display: flex;
  margin: 10px;
  padding: 10px;
  width: 500px;
  flex-direction: column;
  font-size: larger;
}
.pokerinfo h1 {
  font-size: 50px;
}

.upvid {
  display: flex;
  margin: 10px;
  padding: 10px;
  flex-direction: column;
  max-width: 90%;
}

.videoframe {
  width: 640px;
  max-width: 100%;
  padding-bottom: 56.25%;
  position: relative;
}

.videoframe iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}
.black:link {
  color: black;
}
.black:visited {
  color: black;
}
/* Underwater poker page end */
/* WDSIDWTAD Page Start */
.notdivingh1 {
  font-size: 25px;
  margin: 0;
  padding: 30px;
}
.notdivingvid1 {
  display: flex;
  justify-content: center;
  margin-top: 30px;
  margin-left: 10px;
  margin-right: 10px;
  padding: 10px;
}
.groupB {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}
.groupB p {
  max-width: 400px;
  margin: 10px;
  padding: 10px;
  text-align: center;
  font-size: larger;
  font-weight: bold;
}
/* WDSIDWTAD Page End */
/* Contact me start */
.contactHead h1 {
  font-size: 50px;
  margin-bottom: 5px;
}
.contact {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.contactA {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 20px;
  max-width: 400px;
  font-weight: bold;
  font-size: x-large;
}
.rainbow {
  display: flex;
  align-items: center;
  justify-content: center;
}
.rainbow img {
  max-width: 500px;
  height: auto;
  display: flex;
  margin: 20px;
  padding: 20px;
  margin-top: 40px;
}
.contactBottom {
  display: flex;
  flex-direction: column;
  font-weight: bold;
  font-size: larger;
  padding: 20px;
  margin: 20px;
  text-align: center;
}
/* Contact me end */
/* About me Start */
.aboutHead h1 {
  font-size: 50px;
}
.aboutHead {
  margin-top: 0px;
  margin-bottom: 5px;
}
.about {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.aboutContent {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 20px;

  max-width: 400px;
  font-weight: bold;
  font-size: larger;
}
.aboutimg {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 20px;
  padding: 20px;
  max-width: 800px;
}
.aboutimg img {
  display: flex;
  max-width: 90%;
  height: auto;
}
.aboutBottom {
  display: flex;
  flex-direction: column;
  font-weight: bold;
  font-size: larger;
  padding: 20px;
  margin: 20px;
  text-align: center;
  justify-content: center;
}

.aboutList li {
  display: block;
  color: black;
  margin: 0;
  padding: 0;
  text-align: start;
}
/* About me end */
/* RDP Quiz Start */
.quizContainer {
  display: block;
  background-color: rgb(255, 255, 255);
  color: black;
}
.RDPHead h1 {
  font-size: 50px;
  text-align: center;
}
.RDPHead p {
  font-weight: bold;
  max-width: 600px;
  justify-content: center;
  text-align: center;
}
.RDPTop {
  display: flex;
  justify-content: center;
}
.RDPRight {
  display: flex;
  justify-content: center;
  flex-direction: column;
  max-width: 40%;
}
.RDPRight img {
  max-width: 100%;
  height: auto;
}
.RDPmiddle {
  display: flex;
  justify-content: center;
  padding: 20px;
}
.RDPmiddle img {
  max-width: 40%;
  height: auto;
}
.RDPinfo {
  display: flex;
  text-align: center;
  flex-direction: column;
  font-weight: bold;
  margin: 10px;
  padding: 10px;
  max-width: 70%;
  align-items: center;
}
.RDPBlank {
  display: flex;
  justify-content: center;
}
.RDPBlank img {
  max-width: 90%;
  height: auto;
}
.legend {
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-weight: bold;
}
.legend1 {
  margin-left: 10px;
  padding-left: 10px;
}

.RDPLeft {
  display: flex;
  justify-content: center;
  max-width: 50%;
}
.RDPBottom {
  display: flex;
  justify-content: center;
}
.questionWhole {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}
.question {
  margin: 10px;
  max-width: 300px;
  min-width: 300px;
}
.Image {
  margin: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
  max-width: 400px;
}
.Image img {
  display: flex;
  max-width: 90%;
}

.submitB {
  display: flex;
  justify-content: center;
  align-items: center;
}
/* RDP Quiz End */
/* Quiz page Start */
.quizHead h1 {
  font-size: 50px;
  margin-top: 0;
  padding-top: 50px;
  padding: 10px;
}
.quizHead h2 {
  text-align: center;
  padding: 10px;
}
/* image Choice */
.bottomPhotos {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  flex-wrap: wrap;
  background: transparent;
}
.randomChoice { 
  margin: 20px;
  width:300px;
  max-width: 30%;

  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.6);
}
.randomChoice img {
  max-width: 100%;

  height: auto;
}
.randomChoice a {
  display: flex;
}

/* Underwater map */
.leaflet-popup-content-wrapper img {
  width: 250px; 
  height: auto; 
  margin:5px; 
  border: solid black 1px; 
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.6);
}
.leaflet-popup-content-wrapper a { 
  display: flex; 
  justify-content: center;
}
.leaflet-popup-content-wrapper {
  width: 300px; 
  height: 280px; 
  overflow-y: auto; 
  overflow-x: hidden; 
  text-align: center; 
  font-size: larger; 
  font-weight: bold;
}
#map {
  height: 90vh; 
  width: 90%; 
  max-height: 700px; 
  border: solid black 2px;
  z-index: 0;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.6);
}
.map {
  display: flex; 
  justify-content: center;
  margin: 10px;

}
#map a:visited {
  color: black;
}

.row {
  display: flex;
  justify-content: center;
  margin-top: 10px;
  
}
#column {
  display:flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 100%;
}
#column img {
margin: 5px;
opacity: 0.8;
cursor: pointer;
max-width: 20%;
height: auto;
width:200px;
}
#columnA {
  display:none;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 100%;
}
#columnA img {
margin: 5px;
opacity: 0.8;
cursor: pointer;
max-width: 20%;
height: auto;
width:200px;
}
#columnB {
  display:none;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 100%;
}
#columnB img {
margin: 5px;
opacity: 0.8;
cursor: pointer;
max-width: 20%;
max-height: 150px;
height: auto;
width:auto
}
#column img:hover {
opacity: 1;
}
#columnA img:hover {
opacity: 1;
}
#columnB img:hover {
opacity: 1;
}
.container {
display: flex;
justify-content: center;
padding: 20px;
}
#expandedImg {
  width: 95%;
  max-width: 900px;
  max-height: 640px;
}
.FPLinksA {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  flex-wrap: wrap;
}